package handler

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"
	"jyBXBase/api/internal/logic"
	"jyBXBase/api/internal/svc"
	"jyBXBase/api/internal/types"
)

func NewestBiddingHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.NewestReq
		if err := httpx.Parse(r, &req); err != nil {
			httpx.Error(w, err)
			return
		}

		l := logic.NewNewestBiddingLogic(r.Context(), svcCtx, r)
		resp, err := l.NewestBidding(&req)
		if err != nil {
			httpx.Error(w, err)
		} else {
			httpx.OkJson(w, resp)
		}
	}
}
